GET api/SocialHistoryAlcohols?externalId={externalId}
Gets information about an alcohol use entry.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Unique ID of alcohol abuse entry on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
SocialHistoryAlcoholModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the social history alcohol (Required). |
string |
None. |
| IsDefault |
Indicates whether this social history alcohol is default or not (Required). |
boolean |
None. |
| SortOrder |
Indicates the sort order of this social history alcohol in the list (Required). |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"isDefault": true,
"sortOrder": 3,
"id": "3acc76c9-6f22-4c6c-8e46-50c5a3f755e7",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<SocialHistoryAlcoholModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SocialHistoryAlcohols"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">3acc76c9-6f22-4c6c-8e46-50c5a3f755e7</Id> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>3</SortOrder> </SocialHistoryAlcoholModel>